Development
  • Guides
  • API Reference
  • API Explorer
  • SDKs
  • Sample apps
  • System status
Support
  • Developer forums
  • Developer blog
  • YouTube
  • X
More
  • Square Home
  • Square Developer
  • App Marketplace
  • Partner with Square
  • Solutions Partner Program
  • Pricing
  • Sales

© 2026 Square, Inc.

  • Developer terms of service
  • Developer Integration and Marketing Agreement
  • Privacy policy
  • Partnerships
  • Sign In
  • Sign In

    Customers

  • List customers

  • Create customer

  • Bulk create customers

  • Bulk delete customers

  • Bulk retrieve customers

  • Bulk update customers

  • Search customers

  • Delete customer

  • Retrieve customer

  • Update customer

  • Remove group from customer

  • Add group to customer

  • Webhooks

  • customer.created

  • customer.deleted

  • customer.updated

<- Customers API

Customers API

All versions ->

Delete customer

DELETE

 /v2/customers/{customer_id}

Deletes a customer profile from a business.

To delete a customer profile that was created by merging existing profiles, you must use the ID of the newly created profile.

Permissions:CUSTOMERS_WRITE

Guide

Delete customer profiles

Try in API Explorer
Link to section

Path parameters

Example code

Link to section

customer_id

string

Required

The ID of the customer to delete.

Link to section

Query parameters

Link to section

version

integer(64-bit)

The current version of the customer profile.

As a best practice, you should include this parameter to enable optimistic concurrency control. For more information, see Delete a customer profile.

Link to section

Response fields

Link to section

errors

Any errors that occurred during the request.

Link to section

Examples

All versions ->

DELETE /v2/customers/{customer_id}
curl https://connect.squareup.com/v2/customers/customer_id0?version=11 \ -X DELETE \ -H 'Square-Version: 2026-11-18' \ -H 'Authorization: Bearer ACCESS_TOKEN' \ -H 'Content-Type: application/json'

Response JSON

{}